petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMStagGetBoundaryTypes

get boundary types

### Synopsis

    PetscErrorCode DMStagGetBoundaryTypes(DM dm,DMBoundaryType *boundaryTypeX,DMBoundaryType *boundaryTypeY,DMBoundaryType *boundaryTypeZ)

Not Collective

### Input Parameter

dm -the DMStag object

### Output Parameters

boundaryTypeX,boundaryTypeY,boundaryTypeZ -boundary types

### See Also

DMSTAG, DMDAGetBoundaryTypes()

### Level

intermediate

### Location

src/dm/impls/stag/stagutils.c
Index of all DMSTAG routines
Table of Contents for all manual pages
Index of all manual pages